Package com.avaya.core

## Enum InitializationStatus

- java.lang.Object
- - java.lang.Enum<InitializationStatus>
  - - com.avaya.core.InitializationStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<InitializationStatus>`

      public enum InitializationStatus
      extends java.lang.Enum<InitializationStatus>

  Initialization response status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ERROR` | Init failed for some reason.
    `INVALID_ID` | Invalid app id.
    `SUCCESS` | Init completed successfully.
    `UNKNOWN` | Init hasn't yet responded.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static InitializationStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static InitializationStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final InitializationStatus SUCCESS

      Init completed successfully.

    - #### ERROR

          public static final InitializationStatus ERROR

      Init failed for some reason.

    - #### INVALID_ID

          public static final InitializationStatus INVALID_ID

      Invalid app id.

    - #### UNKNOWN

          public static final InitializationStatus UNKNOWN

      Init hasn't yet responded.

  - ### Method Detail

    - #### values

          public static InitializationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InitializationStatus c : InitializationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InitializationStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null